Рекомендация Debian по безопасности

DSA-4657-1 git -- обновление безопасности

Дата сообщения:
14.04.2020
Затронутые пакеты:
git
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2020-5260.
Более подробная информация:

Феликс Вильгельм из Google Project Zero обнаружил уязвимость в git, быстрой масштабируемой распределённой системе управления версиями. С помощью специально сформированного URL, содержащего новую строку, можно обмануть механизмы вспомогательного кода контроля учётных записей так, чтобы была возвращена информация об учётных записях для ошибочного узла.

В предыдущем стабильном выпуске (stretch) эта проблема была исправлена в версии 1:2.11.0-3+deb9u6.

В стабильном выпуске (buster) эта проблема была исправлена в версии 1:2.20.1-2+deb10u2.

Рекомендуется обновить пакеты git.

С подробным статусом поддержки безопасности git можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/git